# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/NetworkProxyPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_NetworkProxyPage(object):
    def setupUi(self, NetworkProxyPage):
        NetworkProxyPage.setObjectName("NetworkProxyPage")
        NetworkProxyPage.resize(589, 1129)
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(NetworkProxyPage)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.headerLabel = QtWidgets.QLabel(parent=NetworkProxyPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_7.addWidget(self.headerLabel)
        self.line9_3 = QtWidgets.QFrame(parent=NetworkProxyPage)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line9_3.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line9_3.setObjectName("line9_3")
        self.verticalLayout_7.addWidget(self.line9_3)
        self.proxyGroup = QtWidgets.QGroupBox(parent=NetworkProxyPage)
        self.proxyGroup.setCheckable(False)
        self.proxyGroup.setChecked(False)
        self.proxyGroup.setObjectName("proxyGroup")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.proxyGroup)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.noProxyButton = QtWidgets.QRadioButton(parent=self.proxyGroup)
        self.noProxyButton.setChecked(True)
        self.noProxyButton.setObjectName("noProxyButton")
        self.verticalLayout_4.addWidget(self.noProxyButton)
        self.systemProxyButton = QtWidgets.QRadioButton(parent=self.proxyGroup)
        self.systemProxyButton.setObjectName("systemProxyButton")
        self.verticalLayout_4.addWidget(self.systemProxyButton)
        self.manualProxyButton = QtWidgets.QRadioButton(parent=self.proxyGroup)
        self.manualProxyButton.setChecked(False)
        self.manualProxyButton.setObjectName("manualProxyButton")
        self.verticalLayout_4.addWidget(self.manualProxyButton)
        self.groupBox = QtWidgets.QGroupBox(parent=self.proxyGroup)
        self.groupBox.setEnabled(False)
        self.groupBox.setFlat(False)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_6 = QtWidgets.QGroupBox(parent=self.groupBox)
        self.groupBox_6.setObjectName("groupBox_6")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_6)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_13 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_13.setObjectName("label_13")
        self.gridLayout_2.addWidget(self.label_13, 0, 0, 1, 1)
        self.httpProxyHostEdit = QtWidgets.QLineEdit(parent=self.groupBox_6)
        self.httpProxyHostEdit.setObjectName("httpProxyHostEdit")
        self.gridLayout_2.addWidget(self.httpProxyHostEdit, 0, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(parent=self.groupBox_6)
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.label_2, 0, 2, 1, 1)
        self.httpProxyPortSpin = QtWidgets.QSpinBox(parent=self.groupBox_6)
        self.httpProxyPortSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.httpProxyPortSpin.setMinimum(1)
        self.httpProxyPortSpin.setMaximum(65535)
        self.httpProxyPortSpin.setProperty("value", 80)
        self.httpProxyPortSpin.setObjectName("httpProxyPortSpin")
        self.gridLayout_2.addWidget(self.httpProxyPortSpin, 0, 3, 1, 1)
        self.httpProxyForAllCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_6)
        self.httpProxyForAllCheckBox.setObjectName("httpProxyForAllCheckBox")
        self.gridLayout_2.addWidget(self.httpProxyForAllCheckBox, 1, 0, 1, 4)
        self.verticalLayout.addWidget(self.groupBox_6)
        self.groupBox_5 = QtWidgets.QGroupBox(parent=self.groupBox)
        self.groupBox_5.setObjectName("groupBox_5")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.groupBox_5)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label_12 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_12.setObjectName("label_12")
        self.horizontalLayout_2.addWidget(self.label_12)
        self.httpsProxyHostEdit = QtWidgets.QLineEdit(parent=self.groupBox_5)
        self.httpsProxyHostEdit.setObjectName("httpsProxyHostEdit")
        self.horizontalLayout_2.addWidget(self.httpsProxyHostEdit)
        self.label_5 = QtWidgets.QLabel(parent=self.groupBox_5)
        self.label_5.setObjectName("label_5")
        self.horizontalLayout_2.addWidget(self.label_5)
        self.httpsProxyPortSpin = QtWidgets.QSpinBox(parent=self.groupBox_5)
        self.httpsProxyPortSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.httpsProxyPortSpin.setMinimum(1)
        self.httpsProxyPortSpin.setMaximum(65535)
        self.httpsProxyPortSpin.setProperty("value", 443)
        self.httpsProxyPortSpin.setObjectName("httpsProxyPortSpin")
        self.horizontalLayout_2.addWidget(self.httpsProxyPortSpin)
        self.verticalLayout.addWidget(self.groupBox_5)
        self.groupBox_4 = QtWidgets.QGroupBox(parent=self.groupBox)
        self.groupBox_4.setObjectName("groupBox_4")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_4)
        self.gridLayout.setObjectName("gridLayout")
        self.label_8 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 0, 0, 1, 1)
        self.ftpProxyTypeCombo = QtWidgets.QComboBox(parent=self.groupBox_4)
        self.ftpProxyTypeCombo.setObjectName("ftpProxyTypeCombo")
        self.gridLayout.addWidget(self.ftpProxyTypeCombo, 0, 1, 1, 3)
        self.label_3 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 1, 0, 1, 1)
        self.ftpProxyHostEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.ftpProxyHostEdit.setObjectName("ftpProxyHostEdit")
        self.gridLayout.addWidget(self.ftpProxyHostEdit, 1, 1, 1, 1)
        self.label_7 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 1, 2, 1, 1)
        self.ftpProxyPortSpin = QtWidgets.QSpinBox(parent=self.groupBox_4)
        self.ftpProxyPortSpin.setAlignment(QtCore.Qt.AlignmentFlag.AlignRight)
        self.ftpProxyPortSpin.setMinimum(1)
        self.ftpProxyPortSpin.setMaximum(65535)
        self.ftpProxyPortSpin.setProperty("value", 21)
        self.ftpProxyPortSpin.setObjectName("ftpProxyPortSpin")
        self.gridLayout.addWidget(self.ftpProxyPortSpin, 1, 3, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 2, 0, 1, 1)
        self.ftpProxyUserEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.ftpProxyUserEdit.setObjectName("ftpProxyUserEdit")
        self.gridLayout.addWidget(self.ftpProxyUserEdit, 2, 1, 1, 3)
        self.label_10 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 3, 0, 1, 1)
        self.ftpProxyPasswordEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.ftpProxyPasswordEdit.setEchoMode(QtWidgets.QLineEdit.EchoMode.Password)
        self.ftpProxyPasswordEdit.setObjectName("ftpProxyPasswordEdit")
        self.gridLayout.addWidget(self.ftpProxyPasswordEdit, 3, 1, 1, 3)
        self.label_11 = QtWidgets.QLabel(parent=self.groupBox_4)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 4, 0, 1, 1)
        self.ftpProxyAccountEdit = QtWidgets.QLineEdit(parent=self.groupBox_4)
        self.ftpProxyAccountEdit.setObjectName("ftpProxyAccountEdit")
        self.gridLayout.addWidget(self.ftpProxyAccountEdit, 4, 1, 1, 3)
        self.verticalLayout.addWidget(self.groupBox_4)
        self.verticalLayout_4.addWidget(self.groupBox)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label = QtWidgets.QLabel(parent=self.proxyGroup)
        self.label.setObjectName("label")
        self.horizontalLayout_3.addWidget(self.label)
        self.exceptionsEdit = QtWidgets.QLineEdit(parent=self.proxyGroup)
        self.exceptionsEdit.setObjectName("exceptionsEdit")
        self.horizontalLayout_3.addWidget(self.exceptionsEdit)
        self.verticalLayout_4.addLayout(self.horizontalLayout_3)
        self.clearProxyPasswordsButton = QtWidgets.QPushButton(parent=self.proxyGroup)
        self.clearProxyPasswordsButton.setObjectName("clearProxyPasswordsButton")
        self.verticalLayout_4.addWidget(self.clearProxyPasswordsButton)
        self.verticalLayout_7.addWidget(self.proxyGroup)
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_7.addItem(spacerItem)

        self.retranslateUi(NetworkProxyPage)
        self.manualProxyButton.toggled['bool'].connect(self.groupBox.setEnabled) # type: ignore
        self.httpProxyForAllCheckBox.toggled['bool'].connect(self.groupBox_5.setDisabled) # type: ignore
        self.httpProxyForAllCheckBox.toggled['bool'].connect(self.groupBox_4.setDisabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(NetworkProxyPage)
        NetworkProxyPage.setTabOrder(self.noProxyButton, self.systemProxyButton)
        NetworkProxyPage.setTabOrder(self.systemProxyButton, self.manualProxyButton)
        NetworkProxyPage.setTabOrder(self.manualProxyButton, self.httpProxyHostEdit)
        NetworkProxyPage.setTabOrder(self.httpProxyHostEdit, self.httpProxyPortSpin)
        NetworkProxyPage.setTabOrder(self.httpProxyPortSpin, self.httpProxyForAllCheckBox)
        NetworkProxyPage.setTabOrder(self.httpProxyForAllCheckBox, self.httpsProxyHostEdit)
        NetworkProxyPage.setTabOrder(self.httpsProxyHostEdit, self.httpsProxyPortSpin)
        NetworkProxyPage.setTabOrder(self.httpsProxyPortSpin, self.ftpProxyTypeCombo)
        NetworkProxyPage.setTabOrder(self.ftpProxyTypeCombo, self.ftpProxyHostEdit)
        NetworkProxyPage.setTabOrder(self.ftpProxyHostEdit, self.ftpProxyPortSpin)
        NetworkProxyPage.setTabOrder(self.ftpProxyPortSpin, self.ftpProxyUserEdit)
        NetworkProxyPage.setTabOrder(self.ftpProxyUserEdit, self.ftpProxyPasswordEdit)
        NetworkProxyPage.setTabOrder(self.ftpProxyPasswordEdit, self.ftpProxyAccountEdit)
        NetworkProxyPage.setTabOrder(self.ftpProxyAccountEdit, self.exceptionsEdit)
        NetworkProxyPage.setTabOrder(self.exceptionsEdit, self.clearProxyPasswordsButton)

    def retranslateUi(self, NetworkProxyPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("NetworkProxyPage", "<b>Configure Network Proxy</b>"))
        self.proxyGroup.setToolTip(_translate("NetworkProxyPage", "Select to use a web proxy"))
        self.proxyGroup.setTitle(_translate("NetworkProxyPage", "Network Proxy"))
        self.noProxyButton.setToolTip(_translate("NetworkProxyPage", "Select to not use a network proxy"))
        self.noProxyButton.setText(_translate("NetworkProxyPage", "Do not use proxy"))
        self.systemProxyButton.setToolTip(_translate("NetworkProxyPage", "Select to use the system proxy configuration"))
        self.systemProxyButton.setText(_translate("NetworkProxyPage", "Use system proxy configuration"))
        self.manualProxyButton.setToolTip(_translate("NetworkProxyPage", "Select to use an application specific proxy configuration"))
        self.manualProxyButton.setText(_translate("NetworkProxyPage", "Manual proxy configuration:"))
        self.groupBox.setTitle(_translate("NetworkProxyPage", "Manual proxy settings"))
        self.groupBox_6.setTitle(_translate("NetworkProxyPage", "HTTP-Proxy"))
        self.label_13.setText(_translate("NetworkProxyPage", "Hostname:"))
        self.httpProxyHostEdit.setToolTip(_translate("NetworkProxyPage", "Enter the name of the HTTP proxy host"))
        self.label_2.setText(_translate("NetworkProxyPage", "Port:"))
        self.httpProxyPortSpin.setToolTip(_translate("NetworkProxyPage", "Enter the HTTP proxy port"))
        self.httpProxyForAllCheckBox.setToolTip(_translate("NetworkProxyPage", "Select to use the HTTP proxy for all"))
        self.httpProxyForAllCheckBox.setText(_translate("NetworkProxyPage", "Use this proxy for all protocols"))
        self.groupBox_5.setTitle(_translate("NetworkProxyPage", "HTTPS-Proxy"))
        self.label_12.setText(_translate("NetworkProxyPage", "Hostname:"))
        self.httpsProxyHostEdit.setToolTip(_translate("NetworkProxyPage", "Enter the name of the HTTPS proxy host"))
        self.label_5.setText(_translate("NetworkProxyPage", "Port:"))
        self.httpsProxyPortSpin.setToolTip(_translate("NetworkProxyPage", "Enter the HTTPS proxy port"))
        self.groupBox_4.setTitle(_translate("NetworkProxyPage", "FTP-Proxy"))
        self.label_8.setText(_translate("NetworkProxyPage", "Proxy Type:"))
        self.ftpProxyTypeCombo.setToolTip(_translate("NetworkProxyPage", "Select the type of the FTP proxy"))
        self.label_3.setText(_translate("NetworkProxyPage", "Hostname:"))
        self.ftpProxyHostEdit.setToolTip(_translate("NetworkProxyPage", "Enter the name of the FTP proxy host"))
        self.label_7.setText(_translate("NetworkProxyPage", "Port:"))
        self.ftpProxyPortSpin.setToolTip(_translate("NetworkProxyPage", "Enter the FTP proxy port"))
        self.label_9.setText(_translate("NetworkProxyPage", "User Name:"))
        self.ftpProxyUserEdit.setToolTip(_translate("NetworkProxyPage", "Enter the user name for the proxy authentication"))
        self.label_10.setText(_translate("NetworkProxyPage", "Password:"))
        self.ftpProxyPasswordEdit.setToolTip(_translate("NetworkProxyPage", "Enter the password for the proxy authentication"))
        self.label_11.setText(_translate("NetworkProxyPage", "Account:"))
        self.ftpProxyAccountEdit.setToolTip(_translate("NetworkProxyPage", "Enter the account info for the proxy authentication"))
        self.label.setText(_translate("NetworkProxyPage", "Exceptions:"))
        self.exceptionsEdit.setToolTip(_translate("NetworkProxyPage", "Enter host names or IP-addresses for which the proxy is to be circumvented separated by \',\' (wildcards * or ? may be used)"))
        self.clearProxyPasswordsButton.setToolTip(_translate("NetworkProxyPage", "Press to clear the saved passwords for the Http(s) proxy"))
        self.clearProxyPasswordsButton.setText(_translate("NetworkProxyPage", "Clear HTTP(S) Proxy Passwords"))
